Middleware doctrine for expressive 3

expressive

#1

Hello all,

Is there a way to simply integrate doctrine with Zend Expressive 3 ?

I found DASPRiD/container-interop-doctrine but with all the changes in the version 3 and the validation of PSR-15 I don’t really know if this packages is “usable”. It doesn’t seem to be deprecated on packagist but last commit was the 25th of january 2018.

Thanks


#2

As a maintainer of container-interop-doctrine, I can confidently say there’s no reason not to use container-interop-doctrine there - there’s no actual middleware, and as the (slightly outdated) name suggests, it’s actually just a set of factories that can be used in the container - so it’s unaffected by PSR-15’s approval. There aren’t many commits there simply because there’s not really many changes to make, unless bugs are found. If you do encounter any issues, please do make a bug on the issue tracker :slight_smile: cheers!


#3

Thanks for your extremly rapid answer. The name made me think it was outdated. I will try that :wink:


#4

Yes the naming is unfortunate and predated PSR-11, but we did update it to work with psr/container at least :slight_smile:


#5

That is not a really good criteria to determine if a package is still good. Personally I look at the amount of open PR’s, issues and replies. I mean if there are 100 open issues, PR’s and hardly any replies you can be pretty much certain the package is not maintained (well) anymore.